Security Enhanced Linux Reference Policy

# Layer: services

## Module: certmaster

Interfaces

### Description:

Remote certificate distribution framework.

### Interfaces:

certmaster_admin( domain , role )

##### Summary

All of the rules required to administrate an certmaster environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

certmaster_append_log( domain )

##### Summary

Append certmaster log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmaster_domtrans( domain )

##### Summary

Execute a domain transition to run certmaster.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

certmaster_exec( domain )

##### Summary

Execute certmaster in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmaster_manage_log( domain )

##### Summary

Create, read, write, and delete certmaster log content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certmaster_read_log( domain )

##### Summary

read certmaster logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return